# UniTAP.dev.ports.modules.panel_replay.pr

class PanelReplay:

Class `PanelReplay` contains information about Panel Replay feature.

- Read Panel Replay `status`.
- Configure Panel Replay `config`.
- Disable Panel Replay `disable`.
- Enable Active mode `active_mode`.
- Enable Inactive mode `inactive_mode`.
- Enable selective update `selective_update`.

PanelReplay(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, pg_caps)
status: UniTAP.dev.ports.modules.panel_replay.pr_status.PanelReplayStatus

Returns object of class `PanelReplayStatus` for working with Panel Replay Status.

###### Returns:

> object of `PanelReplayStatus` type

config: UniTAP.dev.ports.modules.panel_replay.pr_config.PanelReplayConfig

Returns object of class `PanelReplayConfig` for configuration PR.

###### Returns:

> object of `PanelReplayStatus` type

def disable(self):

Disable Panel Replay

def active_mode(self):

Enable active mode

def inactive_mode(self):

Enable inactive mode

def selective_update(self):

Enable selective update mode (if device supports this feature)